org.apache.kylin.jdbc

## Class IRemoteClient.QueryResult

- java.lang.Object
- - org.apache.kylin.jdbc.IRemoteClient.QueryResult

Enclosing interface:
  IRemoteClient

    public static class IRemoteClient.QueryResult
    extends Object

### Field Summary

Fields
`List<org.apache.calcite.avatica.ColumnMetaData>` `columnMeta`
`Iterable<Object>` `iterable`

### Constructor Summary

Constructors
Constructor and Description
`IRemoteClient.QueryResult(List<org.apache.calcite.avatica.ColumnMetaData> columnMeta, Iterable<Object> iterable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnMeta

    public final List<org.apache.calcite.avatica.ColumnMetaData> columnMeta

#### iterable

    public final Iterable<Object> iterable

### Constructor Detail

#### IRemoteClient.QueryResult

    public IRemoteClient.QueryResult(List<org.apache.calcite.avatica.ColumnMetaData> columnMeta,
                             Iterable<Object> iterable)